﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GerkePreussner.Blog.QuickTimeExample
{
    public partial class Form1 : Form
    {
        public Form1 ()
        {
            InitializeComponent();
        }

        private void Form1_Load (object sender, EventArgs e)
        {
            base.OnShown(e);

            this.quickTimePlayer.URL = Application.StartupPath + "\\Sample.mov";
        }

        private void Form1_FormClosing (object sender, FormClosingEventArgs e)
        {
            base.OnClosing(e);

            if (this.quickTimePlayer.Movie != null)
            {
                this.quickTimePlayer.Movie.Stop();
            }
        }

        private void buttonPlay_Click (object sender, EventArgs e)
        {
            this.quickTimePlayer.Movie.Play(1.0f);
        }

        private void buttonPause_Click (object sender, EventArgs e)
        {
            this.quickTimePlayer.Movie.Pause();
        }

        private void buttonRewind_Click (object sender, EventArgs e)
        {
            this.quickTimePlayer.Movie.Stop();
            this.quickTimePlayer.Movie.Rewind();
        }

        private void buttonFastReverse_Click (object sender, EventArgs e)
        {
            this.quickTimePlayer.Movie.Play(-4.0f);
        }

        private void buttonFastForward_Click (object sender, EventArgs e)
        {
            this.quickTimePlayer.Movie.Play(4.0f);
        }
    }
}
